de.esprit.appsuite.task.archive

## Class ArchiveConfig

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.task.archive.ArchiveConfig

- All Implemented Interfaces:
    Dumpable

      public class ArchiveConfig
      extends DumpableObject

  This class stores the user choice for an archive configuration
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchiveConfig()`
    `ArchiveConfig(ArchiveTaskOption archiveType, CompressionLevel comressionLevel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArchiveTaskOption` | `getArchiveType()`
    `CompressionLevel` | `getCompressionLevel()`
    `void` | `setArchiveType(ArchiveTaskOption archiveType)`
    `void` | `setCompressionLevel(CompressionLevel comressionLevel)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchiveConfig

          public ArchiveConfig()

    - #### ArchiveConfig

          public ArchiveConfig(ArchiveTaskOption archiveType,
                       CompressionLevel comressionLevel)

  - ### Method Detail

    - #### setCompressionLevel

          public void setCompressionLevel(CompressionLevel comressionLevel)

    - #### setArchiveType

          public void setArchiveType(ArchiveTaskOption archiveType)

    - #### getArchiveType

          public ArchiveTaskOption getArchiveType()

    - #### getCompressionLevel

          public CompressionLevel getCompressionLevel()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.